Subject: Re: cygwin: Cygwin32: Catastrophic fail - unable to Create pinfo_mutex
From: [email-masked] (Chris Faylor)

28 Jul 1997 09:15:57 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
X-Newsreader: trn 4.0-test57 (27 Apr 97)
Original-To: [email-masked]
X-Mailer: Perl5 Mail::Internet v1.28
Original-Sender: [email-masked]

In article <[email-masked]>,
JP Shipherd  <[email-masked]> wrote:
>I recently had to reinstall NT.  It now resides on the D drive and the gnu
>tools continue to reside on the C drive.  Ever since then, when doing makes
>I often get:
>
>cygwin: Cygwin32: Catastrophic fail - unable to Create pinfo_mutex
>
>It then seems to continue on quite nicely.  However, a little system memory
>seems to be siphoned off after each of these messages which NT never
>manages to get back, meaning I need to reboot periodically.
>
>Anyone know what causes this?

I think there is a race of some kind in cygwin.dll which manifests as
the inability to create a mutex which is used to lock accesses to the
process table.

I have not had any problems like this since switching to Sergey's cygwin.dll:

	http://www.lexa.ru/sos

And, there are all sorts of other benefits to switch, too.
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".